Subject: Re: [manet] I-D ACTION:draft-ietf-manet-tbrpf-10.txt

From: Shubhranshu <[email-masked]>
Date: Fri, 01 Aug 2003 13:07:10 -0800

Hi Richard,
 
Thanks.
The rewrite makes it clear to me.

Regards
Shubhranshu

----- Original Message ----- 
From: <[email-masked]>
To: "Shubhranshu" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Thursday, July 31, 2003 12:03 PM
Subject: Re: [manet] I-D ACTION:draft-ietf-manet-tbrpf-10.txt

> Hi Shubhranshu,
> 
> > Hi Richard,
> >  Thanks
> > One more quick question :
> > In section 8.4.4, third paragraph --- " .... node i computes shortest 
> > paths, up to 2 hops, from each neighbor to each other 
> > neighbor, using only neighbors (or node i itself) as an intermediate node,...
> ."
> > 
> > I feel that it should be     ".....to  each other neighbor, using only
> > *node i itself* as an intermediate node ..." 
> > If not  then I am afraid i could not  exactly understand how  
> > node i determines that one of its neighbors 
> > may select i to be its next hop  on its shortest path to j. 
> 
> For reference, here is the paragraph in the draft:
> 
>    "A node first determines which of its neighbors belong to RN. Node i
>    includes a neighbor j in RN if and only if node i determines that one
>    of its neighbors may select i to be its next hop on its shortest path
>    to j. To make this determination, node i computes the shortest paths,
>    up to 2 hops, from each neighbor to each other neighbor, using only
>    neighbors (or node i itself) as an intermediate node, and using relay
>    priority and router ID to break ties."
> 
> Maybe this rewrite will make it clearer: To determine which neighbors 
> are in RN, node i computes shortest paths, up to 2 hops, from each 
> neighbor k to each other neighbor j, allowing only neighbors of node i
> (or node i itself) to be the intermediate node, and using relay priority
> and router ID to break ties. (If the intermediate node happens to be
> node i, then node j is included in RN.)
> 
> The procedure Update_RN() defined in the same section makes this precise.
> 
> Note also that node i knows the local links reported by each neighbor,
> i.e., it knows the full topology for its 2-hop neighborhood, which
> allows it to compute the 2-hop shortest paths mentioned above.
> 
> The following paragraph from the draft helps to understand
> the analogy between neighbors in RN and MPR selectors:
> 
>    "We note that neighbors in RN are analogous to multipoint relay (MPR)
>    selectors [9]. Thus, if node i selects neighbor j to be in RN, then
>    node i effectively selects itself to be an MPR of node j. This is
>    quite different from [9], in which a node does not select itself to
>    be an MPR, but selects a subset of its neighbors to be MPRs."
> 
> Regards,
> Richard

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet